Skip to main content
GET
Get Wallet Transactions

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>

Query Parameters

page
string
default:1
Pattern: ^[1-9]\d*$
perPage
string
default:10
Pattern: ^[1-9]\d*$

Response

The transactions have been successfully retrieved.

List of transactions with their status, signing requirements, and wallet type specific data

transactions
(EVM transaction response · object | Solana transaction response · object | EVM MPC transaction response · object | Solana smart wallet transaction response · object)[]
required

Complete transaction response including status, signing requirements, and wallet type specific data

Example: